Bug 1547146 - RFE: VNX tripleo support backport to pike
Summary: RFE: VNX tripleo support backport to pike
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z3
: 12.0 (Pike)
Assignee: Alan Bishop
QA Contact: Aharon Canan
URL:
Whiteboard:
Keywords: FeatureBackport, FutureFeature, OtherQA, Triaged, ZStream
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-20 15:39 UTC by Rajini Karthik
Modified: 2019-02-17 03:17 UTC (History)
22 users (show)

(edit)
This change allows TripleO to deploy Cinder with a Dell EMC VNX backend.
Clone Of:
(edit)
Last Closed: 2018-08-20 12:59:02 UTC


Attachments (Terms of Use)
puppet-tripleo-7.4.8-6.el7ost.noarch.rpm (207.54 KB, application/octet-stream)
2018-04-12 06:09 UTC, Martin Schuppert
no flags Details
openstack-tripleo-heat-templates-7.0.9-9.el7ost.noarch.rpm (434.23 KB, application/octet-stream)
2018-04-12 06:10 UTC, Martin Schuppert
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2331 None None None 2018-08-20 12:59 UTC

Description Rajini Karthik 2018-02-20 15:39:28 UTC
Description of problem:
VNX tripleo support is backported upstream. can we backport it to OSP12?
https://review.openstack.org/#/c/541901/
https://review.openstack.org/#/c/541899/
Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Alan Bishop 2018-02-20 16:27:57 UTC
All of the VNX support will be included in 12z2.

Comment 3 Lon Hohberger 2018-03-29 10:34:05 UTC
According to our records, this should be resolved by openstack-tripleo-heat-templates-7.0.9-8.el7ost.  This build is available now.

Comment 4 Lon Hohberger 2018-03-29 10:34:14 UTC
According to our records, this should be resolved by puppet-tripleo-7.4.8-5.el7ost.  This build is available now.

Comment 5 Lon Hohberger 2018-03-29 10:34:20 UTC
According to our records, this should be resolved by puppet-cinder-11.5.0-3.el7ost.  This build is available now.

Comment 6 Rajini Karthik 2018-04-03 21:45:46 UTC
The version of OSP12 on FutureVille2 didn't have the backports. Assuming the Customer that is waiting for testing this on OSp12 might not have it and will need a hotfix that will include these. Else we have to make them get it from upstream and use some custom options in the deployment of overcloud which can get messy

Comment 7 Alan Bishop 2018-04-04 14:12:04 UTC
My apolgies, I was mistaken. Apparently the upstream patches on stable/pike
just barely missed (by a couple of days) the upstream RDO import that formed
the basis for OSP-12z2. There are subsequent RDO packages that contain the VNX
backport, and confirmed those packages will be included in z3.

I am not sure what it will take to provide hotfixes. The tripleo-heat-templates
piec is easy, but the puppet-tripleo package will need to be rolled into the
contents of openstack-puppet-modules, and then have that built into
rhosp-director-images.

Comment 10 Paul Grist 2018-04-04 19:19:04 UTC
ack the hotfix for when builds are ready

Comment 14 Martin Schuppert 2018-04-12 06:09 UTC
Created attachment 1420717 [details]
puppet-tripleo-7.4.8-6.el7ost.noarch.rpm

Comment 15 Martin Schuppert 2018-04-12 06:10 UTC
Created attachment 1420718 [details]
openstack-tripleo-heat-templates-7.0.9-9.el7ost.noarch.rpm

Comment 16 Martin Schuppert 2018-04-12 06:11:57 UTC
Rajini,

we have attached puppet-tripleo-7.4.8-6.el7ost.noarch.rpm and openstack-tripleo-heat-templates-7.0.9-9.el7ost.noarch.rpm could you please validate the functionality.

Comment 17 Rajini Karthik 2018-05-07 15:33:57 UTC
The futureville3 stamp is currently being used for baremetal certification. This may take some time

Comment 18 Rajini Karthik 2018-05-07 15:36:53 UTC
May be you can do verification solely based on checking code in the RPM

Comment 19 Alan Bishop 2018-05-07 15:58:48 UTC
We really should be verifying based on actual deployments being successful. That's the value that DCI is supposed to bring. It also avoids a few unfortunate mistakes where we "verified" a TripleO patch for other Cinder backends that actually didn't work as intended.

Comment 20 Rajini Karthik 2018-05-07 16:00:31 UTC
I have asked the baremetal certification engineer about the availability of the Stamp for verification. Will keep posted

Comment 21 Rajini Karthik 2018-05-10 20:57:41 UTC
This will probably be the next puddle, we don't have access to puddle yet. What goneri helped me installed today was one version behind

openstack-tripleo-heat-templates-7.0.9-9.el7ost.noarch.rpm 
Its one version behind

Comment 25 Sean Merrow 2018-06-26 18:50:21 UTC
Hi Rajini,

This can be QA'd using the following packages or later:

openstack-tripleo-heat-templates-7.0.9-9.el7ost 
puppet-tripleo-7.4.8-6.el7ost

Thanks,
Sean

Comment 26 Rajini Karthik 2018-07-11 15:36:03 UTC
We are already installing OSP13 on Futureville3 and the customer is asking us to focus on OSp13 testing, so I'm not sure if we should spend any cycles testing this.

Comment 29 errata-xmlrpc 2018-08-20 12:59:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2331


Note You need to log in before you can comment on or make changes to this bug.